[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# EResourceDescTypeException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Wrong description type error

## Declaration

Source position: resource.pp line 79

`type EResourceDescTypeException = class(EResourceException)`

## Inheritance

`EResourceDescTypeException` |  | Wrong description type error
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised when a resource description is of type dtName and TResourceDesc.ID property is read.

## See also

TResourceDesc.ID |  | The value of the resource description as an ID